/***************************************************************************
                          eventeditordlg.h  -  description
                             -------------------
    begin                : Mon Jul 12 2004
    copyright          : (C) 2004 Andras Mantia <amantia@kde.org>
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef EVENTEDITORDLG_H
#define EVENTEDITORDLG_H

#include "eventeditordlgs.h"

class TQLabel;
class TDEActionCollection;
class KComboBox;

class EventEditorDlg : public EventEditorDlgS
{
  TQ_OBJECT
  

public:
  EventEditorDlg(TDEActionCollection *actionCollection, TQWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
  ~EventEditorDlg();
  void setEvent(const TQString &name);
  void setAction(const TQString &name);
  void setArguments(const TQStringList& arguments);
  TQString argument1();
  TQString argument2();
  TQString argument3();
  TQString argument4();

public slots:
   void slotActionChanged(const TQString &name);

protected:
   void resetArgumentWidgets(TQLabel *label, KComboBox *combo);

   TQMap<TQString, TQString> m_scriptActions;
   TQMap<TQString, TQString> m_otherActions;
   TDEActionCollection *m_actionCollection;

protected slots:

};

#endif

